Bullet Collision Detection & Physics Library: poly34.h File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
poly34.h File Reference
`#include "LinearMath/btScalar.h"`
Include dependency graph for poly34.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | SolveP2 (btScalar *x, btScalar a, btScalar b)
int | SolveP3 (btScalar *x, btScalar a, btScalar b, btScalar c)
int | SolveP4 (btScalar *x, btScalar a, btScalar b, btScalar c, btScalar d)
int | SolveP5 (btScalar *x, btScalar a, btScalar b, btScalar c, btScalar d, btScalar e)
int | SolveP4Bi (btScalar *x, btScalar b, btScalar d)
int | SolveP4De (btScalar *x, btScalar b, btScalar c, btScalar d)
void | CSqrt (btScalar x, btScalar y, btScalar &a, btScalar &b)
btScalar | N4Step (btScalar x, btScalar a, btScalar b, btScalar c, btScalar d)
btScalar | SolveP5_1 (btScalar a, btScalar b, btScalar c, btScalar d, btScalar e)

## Function Documentation

## ◆ CSqrt()

void CSqrt | ( | btScalar | x,
|  | btScalar | y,
|  | btScalar & | a,
|  | btScalar & | b
| ) |  |

Definition at line 119 of file poly34.cpp.

## ◆ N4Step()

btScalar N4Step | ( | btScalar | x,
|  | btScalar | a,
|  | btScalar | b,
|  | btScalar | c,
|  | btScalar | d
| ) |  |

Definition at line 287 of file poly34.cpp.

## ◆ SolveP2()

int SolveP2 | ( | btScalar * | x,
|  | btScalar | a,
|  | btScalar | b
| ) |  |

Definition at line 52 of file poly34.cpp.

## ◆ SolveP3()

int SolveP3 | ( | btScalar * | x,
|  | btScalar | a,
|  | btScalar | b,
|  | btScalar | c
| ) |  |

Definition at line 71 of file poly34.cpp.

## ◆ SolveP4()

int SolveP4 | ( | btScalar * | x,
|  | btScalar | a,
|  | btScalar | b,
|  | btScalar | c,
|  | btScalar | d
| ) |  |

Definition at line 300 of file poly34.cpp.

## ◆ SolveP4Bi()

int SolveP4Bi | ( | btScalar * | x,
|  | btScalar | b,
|  | btScalar | d
| ) |  |

Definition at line 143 of file poly34.cpp.

## ◆ SolveP4De()

int SolveP4De | ( | btScalar * | x,
|  | btScalar | b,
|  | btScalar | c,
|  | btScalar | d
| ) |  |

Definition at line 208 of file poly34.cpp.

## ◆ SolveP5()

int SolveP5 | ( | btScalar * | x,
|  | btScalar | a,
|  | btScalar | b,
|  | btScalar | c,
|  | btScalar | d,
|  | btScalar | e
| ) |  |

Definition at line 441 of file poly34.cpp.

## ◆ SolveP5_1()

btScalar SolveP5_1 | ( | btScalar | a,
|  | btScalar | b,
|  | btScalar | c,
|  | btScalar | d,
|  | btScalar | e
| ) |  |

Definition at line 341 of file poly34.cpp.